unit uMSNMCheck;

interface

uses
	SysUtils, uActionBase, MessengerAPI_TLB { Export from msnmsgr.exe };

type
	TMSNMessengerCheckAction = class( TInterfacedObject, ISisterAction )
    public
    	procedure Execute(); safecall;
    end;
implementation

uses
	uProcessList, uSisterHEART;

{ TMSNMessengerCheckAction }

procedure TMSNMessengerCheckAction.Execute(); safecall;
var
    Messenger: IMessenger3;
    Contacts: IMessengerContacts;
    Contact: IMessengerContact;
begin
	if ProcessExists( 'msnmsgr.exe' )<>0 then begin
       	SisterHEART.Say( 'cAMSNbZW[gĂ񂾁B\n\nǂǂB' );

		Messenger := CoMessenger.Create();
		Messenger.MyContacts.QueryInterface( IMessengerContacts, Contacts );

		case Contacts.Count of
			0: SisterHEART.Say( 'cNo^ĂȂ݂ǁÁH' );
			1..5: SisterHEART.Say( 'o^Ăl'+IntToStr(Contacts.Count)+'lcB\nƗVłɂȂFB΁H' );
			6..40: SisterHEART.Say( 'FBȂɂ݂ˁB\n\nSSB' );
			41..80: SisterHEART.Say( 'o^ĂlˁB\nӂ̕tĔ߂ȂH\n\ncāAɌߕtʖڂB\n߂B' );
			else begin
				Contact := nil;
				while not Assigned( Contact ) do begin
					Contacts.Item( Random( Contacts.Count ) ).QueryInterface( IMessengerContact, Contact );
					if Contact.Status = MISTATUS_OFFLINE then Contact := nil;
				end;
				SisterHEART.Say( 'o^ĂlB\n\nuw'+Contact.FriendlyName+'xĂǂȐlHvĕꂽ炿ƓH' );
			end;
		end;
    end;
end;

end.
